//+------------------------------------------------------------------+
//|                                               TestCandleSize.mq4 |
//|                           Vladislav Shurkin, 24  2012 .|
//|       (High-Low)   |
//| N- .                                              |
//+------------------------------------------------------------------+
#property copyright "Vladislav Shurkin, 24  2012 ."
#property link "vlad-755@mail.ru"
#property show_inputs
/*
.
   .
  " "      (
  5)     (  - White).
       .
     - 50.  
       .
        
  .
        .
         
        -
  0.
*/
//+------------------------------------------------------------------+
//|  (    )           |
//+------------------------------------------------------------------+
extern int =5000;//   ( 1  50)
extern color =Black;//  

//+------------------------------------------------------------------+
//|                                         |
//+------------------------------------------------------------------+
int i,n;// 
int CntDelOb;//  
int CnSz[5000];//  
string Txt;  //  
//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
   int N=;//
   color TxtClr=;//
//----0-  ---------------------------------+
   if(N<0 || N>5000)
   {
//   Alert("     - 5000.\n  .");//
   PlaySound("Inform.wav");// 
   MessageBox("     - 5000.\n  .",
   " TestCndSize");return(0);
   }
//----1- ,    -------------------+
   for(i=1; i<=5000; i++)
   {
   if(ObjectDelete("CnSz"+i)==true)CntDelOb++;
   }
//----2-      -----------+
   for(n=1; n<=N; n++)//
   {     
   CnSz[n]=MathRound((High[n]-Low[n])*MathPow(10,Digits));//
   if(!ObjectCreate("CnSz"+n,OBJ_TEXT,0,Time[n],iLow(NULL,0,n)))
   {
   Print(" ObjectCreate!  #",GetLastError());
   }   
   else
   {
   Txt=CnSz[n];
   ObjectSetText("CnSz"+n,Txt,7,"Arial",TxtClr); 
   }  
//Print("CnSz",n,"=",CnSz[n]);//     
  }
//----3-  -----------------------------------------+
   Print("  ",Symbol(),"      - ",CntDelOb,
   "    - ",N,".");//   
   Print(" TestCandleSize  .");//
   if(N==0)Comment("");// 
   else
   Comment(" TestCandleSize  .\n    .");//
//----
   return(0);
  }//
//+------------------------------------------------------------------+